import type { CourseType, ChapterType, ResourceType } from '@/types'

export interface CollectionType {
  chapter_id: string
  course_id: string
  id: string
  info: ResourceType
  section_id: string
  semester_id: string
  semester: CollectionSemesterType
  source_id: string
  status: number
  type: number
  resource_type: number
  can_download: number
  course: Pick<CourseType, 'id' | 'name' | 'course_alias_name' | 'course_id'>
  chapter: Pick<ChapterType, 'id' | 'name'>
}

export interface CollectionSemesterType {
  id: string
  name: string
}

export type AllCourseType = Pick<CourseType, 'id' | 'name' | 'course_alias_name' | 'course_id' | 'cover' | 'semester'>
